From 10b682191224841c7e3e8c45034de54d9d3e45b5 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 20:59:58 -0400
Subject: [PATCH 04/22] gnu: zathura-pdf-poppler: Move from pdf.scm to
 pwmt.scm.

* gnu/packages/pdf.scm (zathura-pdf-poppler): Move to [...]
* gnu/packages/pwmt.scm (zathura-pdf-poppler): [...] here.
---
 gnu/packages/pdf.scm  | 36 ------------------------------------
 gnu/packages/pwmt.scm | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 36 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index c5539c7df5..0aca1e707a 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -506,42 +506,6 @@ using the DjVuLibre library.")
 by using the @code{mupdf} rendering library.")
     (license license:zlib)))
 
-(define-public zathura-pdf-poppler
-  (package
-    (name "zathura-pdf-poppler")
-    (version "0.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "1vfl4vkyy3rf39r1sqaa7y8113bgkh2bkfq3nn2inis9mrykmk6m"))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs
-     `(("poppler" ,poppler)
-       ("zathura" ,zathura)))
-    (build-system meson-build-system)
-    (arguments
-     `(#:tests? #f                      ; package does not include tests
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-plugin-directory
-           ;; Something of a regression in 0.2.9: the new Meson build system
-           ;; now hard-codes an incorrect plugin directory.  Fix it.
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "meson.build"
-               (("(install_dir:).*" _ key)
-                (string-append key
-                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
-             #t)))))
-    (home-page "https://pwmt.org/projects/zathura-pdf-poppler/")
-    (synopsis "PDF support for zathura (poppler backend)")
-    (description "The zathura-pdf-poppler plugin adds PDF support to zathura
-by using the poppler rendering engine.")
-    (license license:zlib)))
-
 (define-public podofo
   (package
     (name "podofo")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 32abe6d129..f984f1b327 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -31,6 +31,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
+  #:use-module (gnu packages pdf)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages sqlite)
@@ -182,3 +183,39 @@ interaction.")
     (description "The zathura-ps plugin adds PS support to zathura
 using libspectre.")
     (license license:zlib)))
+
+(define-public zathura-pdf-poppler
+  (package
+    (name "zathura-pdf-poppler")
+    (version "0.3.0")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-"
+                              version ".tar.xz"))
+              (sha256
+               (base32
+                "1vfl4vkyy3rf39r1sqaa7y8113bgkh2bkfq3nn2inis9mrykmk6m"))))
+    (native-inputs `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("poppler" ,poppler)
+       ("zathura" ,zathura)))
+    (build-system meson-build-system)
+    (arguments
+     `(#:tests? #f                      ; package does not include tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-plugin-directory
+           ;; Something of a regression in 0.2.9: the new Meson build system
+           ;; now hard-codes an incorrect plugin directory.  Fix it.
+           (lambda* (#:key outputs #:allow-other-keys)
+             (substitute* "meson.build"
+               (("(install_dir:).*" _ key)
+                (string-append key
+                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
+             #t)))))
+    (home-page "https://pwmt.org/projects/zathura-pdf-poppler/")
+    (synopsis "PDF support for zathura (poppler backend)")
+    (description "The zathura-pdf-poppler plugin adds PDF support to zathura
+by using the poppler rendering engine.")
+    (license license:zlib)))
-- 
2.26.2

